import axios from 'axios'
import {
    INIT_PAYMENTS_PURCHASES_URL
} from '@/constants/resourcePaths'

import {
    INIT_PAYMENTS_PURCHASES,
    PAYMENTS_PURCHASES_NOTIFY,
    EXPLODE_DATA
} from '@/constants/actionTypes'
const actions = {
    /**
     * [PAYMENTS_PURCHASES_NOTIFY]
     */
    [PAYMENTS_PURCHASES_NOTIFY] ({ commit }, paylod) {
        opererp.web.notification.do_warn('Atencion', paylod)
        return false
    },
    /**
     * [response description]
     * @type {[type]}
     */
    [INIT_PAYMENTS_PURCHASES] ({ dispatch }) {
        return axios.get(INIT_PAYMENTS_PURCHASES_URL).then(response => {
            dispatch(EXPLODE_DATA, response.data)
        }).catch(error => {
            console.log(error);
        } )
    },
    /**
     *  [EXPLODE_DATA]
     */
    [EXPLODE_DATA] ({ dispatch },paylod) {
        for (let value in paylod) {
            dispatch(`initPaymentsPurchases${value[0].toUpperCase()}${value.slice(1)}`, paylod[value])
        }
    }
}

export default actions
