import { INIT_PAYMENTS_PURCHASES_JOURNALS } from '@/constants/actionTypes'
import { SET_JOURNALS ,SET_LOADING_JOURNALS } from '@/constants/mutationTypes'

const initialState = {
    journals : null,
    loadingJournals: false
}

const state = {
    journals: initialState.journals,
    loadingJournals: initialState.loadingJournals
}

const getters  = {
    /**
     * [journals description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    journals ( state ) {
        return state.journals
    },
    /**
     * [loadingJournals description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingJournals( state ) {
        return state.loadingJournals
    }
}

const mutations = {
    /**
     * [journals description]
     * @type {[type]}
     */
    [SET_JOURNALS] (state, paylod ) {
        state.journals = paylod
    },
    /**
     * [loadingJournals description]
     * @type {[type]}
     */
    [SET_LOADING_JOURNALS] (state, paylod) {
        state.loadingJournals = !!paylod
    }
}

 const actions = {
     /**
      * [INIT_PAYMENTS_PURCHASES_JOURNALS]
      */
     [INIT_PAYMENTS_PURCHASES_JOURNALS] ({ commit }, paylod) {
         commit(SET_JOURNALS, paylod)
         commit(SET_LOADING_JOURNALS, paylod)
     }
 }

 export default {
     state,
     getters,
     mutations,
     actions
 }
