import Vue from 'vue'
import App from '@/App'
import store from '@/store'

/*config*/
Vue.config.productionTip = false
Vue.config.silent = true
Vue.config.devTools = false


openerp.eiru_payments_purchases = (instance, local) => {
    local.PaymentsPurchasesWidget = instance.Widget.extend({
        start() {
            this.sidebarFold()
            this.vm = new Vue({
                store,
                el: this.el,
                template: '<App />',
                components: {
                    App
                }
            });
        },
        destroy() {
            this.vm.$destroy()
            $(this.vm.$el).remove()
            this.vm =null
            this.sidebarUnFold()
            this._super.apply(this, arguments)
        },
        sidebarFold() {
            if (!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_fold()
        },
        sidebarUnFold() {
            if(!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_unfold()
        }

    })
    instance.web.client_actions.add('eiru_payments_purchases.action_launch', 'instance.eiru_payments_purchases.PaymentsPurchasesWidget')
}
